<?php

use Illuminate\Support\Facades\Route;
use App\Constants\HttpStatus;
use App\Http\Controllers\api\TelegramWebHook;
use App\Http\Controllers\api\Home;


Route::post("/onMessage", [TelegramWebHook::class, 'handle']);
Route::get("/setWebHook", [Home::class, 'setWebHook']);
Route::get("/getUpdates", [Home::class, 'getUpdates']);
Route::get("/setMenuButton", [Home::class, 'setMenuButton']);
Route::get("/setMyCommands", [Home::class, 'setMyCommands']);
Route::get("/setA", [Home::class, 'setA']);



Route::get('/test', [Home::class, 'test']);


Route::fallback(function () {
    return response()->json([
        'code' => HttpStatus::NOT_FOUND,
        'timestamp' => time(),
        'msg' => __('messages.' . HttpStatus::NOT_FOUND),
        'data' => null
    ], 200);
});
























